# samples/common/classes/NvApplicationProfiler.cpp File Reference

`#include "NvApplicationProfiler.h"`
`#include <fstream>`
`#include <sstream>`
`#include <pthread.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Defines

#define | GOVERNOR_SYS_FILE "/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor"
#define | CPU_FREQ_FILE "/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq"
#define | REQUIRED_GOVERNOR "performance"
#define | TIMESPEC_DIFF_USEC(timespec1, timespec2)

## Define Documentation

#define CPU_FREQ_FILE "/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq"

Definition at line 38 of file NvApplicationProfiler.cpp.

#define GOVERNOR_SYS_FILE "/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor"

Definition at line 37 of file NvApplicationProfiler.cpp.

#define REQUIRED_GOVERNOR "performance"

Definition at line 39 of file NvApplicationProfiler.cpp.

#define TIMESPEC_DIFF_USEC | ( | timespec1,
|  | timespec2 |  | ) |

Value:

    (timespec1.tv_sec - timespec2.tv_sec) * 1000000.0 + \
        (timespec1.tv_nsec - timespec2.tv_nsec) / 1000.0

Definition at line 41 of file NvApplicationProfiler.cpp.